extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
    div.form-row
        div.form-group.col-12
            app-fw-perfil-cabecera([(Usuario)]="tUsuario")
    div.form-row
        div.form-group.col-12
            ul(role="tablist").nav.nav-tabs
                li.nav-item
                    a(data-toggle="tab",
                        href="#InformacionPersonal",
                        role="tab",
                        aria-controls="InformacionPersonal",
                        aria-selected="true")#InformacionPersonal-tab.nav-link.active Información Personal
                li.nav-item
                    a(data-toggle="tab",
                        href="#Configuracion",
                        role="tab",
                        aria-controls="Configuracion",
                        aria-selected="true")#Configuracion-tab.nav-link Configuraciòn de Usuario
                li.nav-item
                    a(data-toggle="tab",
                        href="#Permisos",
                        role="tab",
                        aria-controls="Permisos",
                        aria-selected="true")#Permisos-tab.nav-link Permisos
    div.form-row.aa
        div.form-group.col-12
            div.tab-content#mvDatos
                div(role="tabpanel", aria-labelledby="InformacionPersonal-tab").tab-pane.fade.show.active#InformacionPersonal
                    app-fw-perfil-informacion([(Usuario)]="tUsuario")
                div(role="tabpanel", aria-labelledby="Configuracion-tab").tab-pane.fade#Configuracion
                    app-fw-perfil-configuracion([(Usuario)]="tUsuario",
                                                (ConfirmarClave) = "ObtenerConfirmacionClave($event)",
                                                (NuevaClave) = "ObtenerNuevaClave($event)")
                div(role="tabpanel", aria-labelledby="Permisos-tab").tab-pane.fade#Permisos
                    app-fw-perfil-permisos([(UsuarioModulos)]="tUsuarioActual.LModulos")
    div.form-row
        div.form-group.col-12.d-flex.justify-content-end
            div(role="toolbar",
                aria-label="Toolbar with button groups").btn-toolbar
                div(role="group").btn-group.mr-1
                    button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
                        span.icon.text-white-50
                            i.fas.fa-times
                        span.text Cancelar
                div(role="group").btn-group.mr-1
                    button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
                        span.icon.text-white-50
                            i.fas.fa-save
                        span.text Guardar